2008-06-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstep.java: Marked tests are unresolved.

2008-06-03  Sami Wagiaalla  <swagiaal@redhat.com> 
 
	* TestFerror.java (testFerrorTracesPID_MissingSignal): 
	Marked as unresolved. 
 
2008-06-03  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFerror.java (testFerrorTracesPID_MissingSignal): New test.
	(testFerrorTracesPID): Fixed test.
	(testFerrorTracesPID_MissingSignal): Marked as unresolved.

2008-05-30  Sami Wagiaalla  <swagiaal@redhat.com>

	* fdebugdump.java: New utility.
	* TestDebugdump.java: New test.

2008-05-30  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Drop more of the PLT special casing.  Use
	SymbolRule for all symbol rules, get rid of now unnecessary
	abstraction SymbolRuleCreator.

2008-05-30  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Adapt to changes in frysk.ftrace and frysk.expr

2008-05-30  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Move FQ identifier parsing logic to CExprLexer.
	(parseSymbolRules): Use new function from CExprLexer.

2008-05-29  Rick Moseley  <rmoseley@redhat.com>

	* fhpd.java: Add code for parameter passing.

2008-05-29  Petr Machata  <pmachata@redhat.com>
	
	* ftrace.java: Use frysk lexer to parse symbol rules, and
	therefore move towards the #soname#file.c#proc#symbol syntax (even
	though file and proc components are not actually used yet).

	Drop PLT special casing, drop -plt option.  It's now possible to
	request PLT entries with #soname#plt:symbol syntax.  Stack trace
	has new syntax, -sym=blabla/s (necessary because '#' is used as
	fully qualified symbol name separator).  This lends itself to
	seamless extensibility, hence class ftrace.RuleOptions was
	introduced to track options.  Use that class to construct rules.

	* ftrace.xml-in: Describe all these changes.

2008-05-20  Andrew Cagney  <cagney@redhat.com>

	* TestFexe.java (testExeOfScript()): New.

2008-05-15  Tim Moore  <timoore@redhat.com>

	* fstep.java (DummyDisassembler, startTracingTask): Use new
	disassembler from lib.dwfl.

2008-05-14  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Support address tracing.
	* ftrace.xml-in: Describe it.

2008-04-17  Andrew Cagney  <cagney@redhat.com>

	* TestFauxv.java: Use frysk.config.Prefix.
	* TestFtrace.java: Ditto.
	* TestFstep.java: Ditto.
	* TestFmaps.java: Ditto.
	* TestFhpd.java: Ditto.
	* TestFexe.java: Ditto.
	* TestFerror.java: Ditto.
	* TestFdebuginfo.java: Ditto.
	* TestFcore.java: Ditto.

2008-04-16  Andrew Cagney  <cagney@redhat.com>

	* TestFstack.java: Use frysk.config.Prefix.
	* TestFcatch.java: Ditto.
	
	* TestFstack.java (getCanonicalRootSrcDir()): Replace
	getCanonicalAbsRootSrcDir.

2008-04-10  Mark Wielaard  <mwielaard@redhat.com>

	* ferror.java (options): Use correct Options constructor.

2008-04-06  Petr Machata  <pmachata@redhat.com>

	* ftrace.xml: Fix man page to reflect recent changes.

2008-04-06  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Support plt tracing using new ftrace
	infrastructure.

2008-04-04  Andrew Cagney  <cagney@redhat.com>

	* fauxv.xml-in: Rename fauxv.xml.
	* fcatch.xml-in: Rename fcatch.xml.
	* fcore.xml-in: Rename fcore.xml.
	* fdebuginfo.xml-in: Rename fdebuginfo.xml.
	* fdebugrpm.xml-in: Rename fdebugrpm.xml.
	* ferror.xml-in: Rename ferror.xml.
	* fexe.xml-in: Rename fexe.xml.
	* fhpd.xml-in: Rename fhpd.xml.
	* fmaps.xml-in: Rename fmaps.xml.
	* fstack.xml-in: Rename fstack.xml.
	* fstep.xml-in: Rename fstep.xml.
	* ftrace.xml-in: Rename ftrace.xml.

2008-04-04  Mark Wielaard  <mwielaard@redhat.com>

	* fdebuginfo.xml: Put refpurpose tag on multiple lines.
	* fexe.xml: Likewise.
	* fmaps.xml: Likewise.

2008-04-03  Mark Wielaard  <mwielaard@redhat.com>

	* fdebuginfo.xml: Put refpurpose on one line.
	* ferror.xml: Likewise.
	* fexe.xml: Likewise.
	* fmaps.xml: Likewise.
	
2008-04-02  Andrew Cagney  <cagney@redhat.com>
	
	* fstack.xml: Use a title and volume entity.
	* fauxv.xml: Add standard options and version.
	* fmaps.xml: Ditto.
	* fhpd.xml: Ditto.
	* fdebuginfo.xml: Ditto.
	* fdebugrpm.xml: Ditto.
	* fcore.xml: Ditto.
	* fexe.xml: Ditto.
	* ferror.xml: Add standard and stack options; and version.
	* fcatch.xml: Ditto.
	* ftrace.xml: Ditto.

2008-04-02  Petr Machata  <pmachata@redhat.com>
	
	* ftrace.java: Drop dynamic entry point tracing.

2008-04-01  Andrew Cagney  <cagney@redhat.com>

	* TestFstack.java: Ditto.
	(testBackTraceWithDashA()): Delete.
	(testBackTraceWithDashC()): Delete.
	(testBackTraceWithDashV()): Delete.
	(testBackTraceWithRich()): New.
	(testBackTraceWithDashN(): Delete.
	(testBackTraceWithNumberOfFramesAll()): New.
	(testBackTraceWithNumberOfFrames0()): New.
	(testBackTraceWithNumberOfFrames4()): New.
	(testBackTraceWithNumberOfFrames5()): New.
	(testBackTraceWithDashNDashA()): Delete.
	(testBackTraceWithRichNumberOfFrames()): New
	* ferror.java: Update to match PrintStackOptions.
	
2008-03-31  Andrew Cagney  <cagney@redhat.com>

	* ftrace.java (commandAndArguments): Change type to Proc.
	(run(String[])): Don't un-parse the commandAndArguments; pass to
	Ftrace.trace(Proc).

	* fstack.xml: Use abs_root_srcdir when specifying paths.
	
	* fstack.xml: Use stack-options.xml, standard-options.xml, and
	version.in.

2008-03-31  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: New option "-pc".
	Rename option "-i" to "-dl" and fix its description.

2008-03-27  Stan Cox  <scox@redhat.com>

	* fexe.java (executeLive): Also show sysrooted exe path.
	(executeDead): Likewise.

2008-03-25  Sami Wagiaalla  <swagiaal@redhat.com>

	Reimplemented ProcFollowUtil based on ProcRunUtil.
	* ferror.java: Updated.

2008-03-20  Sami Wagiaalla  <swagiaal@redhat.com> 

	* fstep.java: Use ProcRunUtil.
	
2008-03-20  Sami Wagiaalla  <swagiaal@redhat.com>

	Renamed ProcRunUtil to ProcFollowUtil.
	* ferror.java: Updated.
	* fstep.java: Updated.	

2008-03-20  Andrew Cagney  <cagney@redhat.com>

	* TestFtrace.java: Use -follow.
	* ftrace.java: Use StackPrintUtil.  Replace '-c' with -f/-follow -
	follow children.

	* fstack.java: Use StackPrintUtil to create standard options
	and print the stack.
	* ferror.java: Ditto.

2008-03-19  Phil Muldoon  <pmuldoon@redhat.com>
	    Andrew Cagney  <cagney@redhat.com>

	* fcore.java (options()): Replace addOptions(ProcStopUtil).
	(main(String[])): Pass OptionGroup[] to ProcStopUtil constructor.
	* ftrace.java: Similar.
	* fstep.java: Similar.
	* ferror.java: SImilar.
	* fexe.java: Similiar.

2008-03-19  Sami Wagiaalla  <swagiaal@redhat.com>  

	* TestFstep.java: New Test.
	* fstep.java: fixed PID support.
	removed -p options (supported through command line parser)
	
2008-03-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstep.java: Now uses ProcRunUtil.
	
2008-03-17  Andrew Cagney  <cagney@redhat.com>

	* fstep.java: Update; using TaskAttachedObserverXXX.

2008-03-17  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Fix toString for signal and syscall rules.

2008-03-14  Andrew Cagney  <cagney@redhat.com>

	* frysk.xml: New.
	* fparser.xml, fparser.java: Move to frysk.pkglibdir.
	* fauxv.xml: Cite frysk(7), simplify url.
	* fcatch.xml: Ditto.
	* fcore.xml: Ditto.
	* fdebuginfo.xml: Ditto.
	* fdebugrpm.xml: Ditto.
	* ferror.xml: Ditto.
	* fexe.xml: Ditto.
	* fhpd.xml: Ditto.
	* fmaps.xml: Ditto.
	* fparser.xml: Ditto.
	* fstack.xml: Ditto.
	* fstep.xml: Ditto.
	* ftrace.xml: Ditto.

2008-03-14  Mark Wielaard  <mwielaard@redhat.com>

	* fdebuginfo.xml: Fix ulink.
	* fdebugrpm.xml: Likewise.

2008-03-13  Mark Wielaard  <mwielaard@redhat.com>

	* fhpd.java (CommandLine.run): Make sure all messages are flushed
	before first prompt.

2008-03-13  Stan Cox  <scox@redhat.com>

	* TestFstack.java (getCanonicalAbsRootSrcDir): New. Use instead of 
	Config.getRootSrcDir.

2008-03-13  Teresa Thomas  <tthomas@redhat.com>

	* fstack.java: Refactor to use ProcStopUtil.

2008-03-13  Mark Wielaard  <mwielaard@redhat.com>

	* fcatch.xml: Fixed URL.
	* fdebuginfo.xml: Likewise.
	* fdebugrpm.xml: Likewise.
	* ferror.xml: Likewise.
	* fexe.xml: Likewise.
	* fstack.xml: Likewise.
	* fstep.xml: Likewise.
	* ftrace.xml: Likewise.
	* fhpd.xml: Put refpurpose on one line for easy sed parsing.

2008-03-11  Sami Wagiaalla  <swagiaal@redhat.com> 

	* TestFcatch.java (testFcatchFollowsPATH): New test
	
2008-03-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFcatch.java (testFcatchFollowsForks): enabled
	and corrected test.

2008-03-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* fcatch.java: Moved the bulk of the code to FCatch.

2008-03-07  Teresa Thomas  <tthomas@redhat.com>

	* fhpd.java (main): Add event to handle SIGINT.

2008-03-07  Sami Wagiaalla  <swagiaal@redhat.com>

	ProcRunUtil.java: Renamed ProcRunningUtil to ProcRunUtil.
	* ferror.java: Updated. 

2008-03-06  Sami Wagiaalla  <swagiaal@redhat.com> 

	* TestFerror.java: Added test for regext argument matching.

2008-03-06  Phil Muldoon  <pmuldoon@redhat.com>

	* ferror.java (main): Update option text.
	(parsed): Do not store argument. Compile into pattern.
	(updateSyscallEnter): Use Matcher instead of contains. 

2008-03-06  Sami Wagiaalla  <swagiaal@redhat.com>

	* ferror.java: Now reads entire length of string
	being outputed.

2008-03-04  Andrew Cagney  <cagney@redhat.com>

	* TestFexe.java testExePath()): New.
	
	* TestFexe.java (testExeOfExe()): New.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* TestFauxv.java: Use frysk.config.
	* TestFtrace.java: Ditto.
	* TestFstep.java: Ditto.
	* TestFstack.java: Ditto.
	* TestFmaps.java: Ditto.
	* TestFhpd.java: Ditto.
	* TestFexe.java: Ditto.
	* TestFerror.java: Ditto.
	* TestFdebuginfo.java: Ditto.
	* TestFcore.java: Ditto.
	* TestFcatch.java: Ditto.

2008-02-29  Stan Cox  <scox@redhat.com>

	* fhpd.java (main): Remove -sysroot option.
	(CommandLine.run): Use no sysroot variant of AttachCommand, CoreCommand,
	and LoadCommand.

2008-02-29  Andrew Cagney  <cagney@redhat.com>

	* ftrace.java: Move Rule, SymbolRule and MyFtraceController to
	separate frysk.ftrace classes.

2008-02-29  Petr Machata  <pmachata@redhat.com>

	* ftrace.java (parseSigSysRules): Produce case insensitive rules,
	allow optional prefix for signals (i.e. sigkill == KILL).
	* ftrace.xml: Update.

2008-02-29  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Support signal tracing, cleanups.
	(SyscallRule): Deleted class.
	(ByNumberSyscallRule): Deleted class.
	(ByRegexpSyscallRule): Deleted class.
	(MyFtraceController.sigRules): New field.
	(MyFtraceController.computeWorkingSet): New method.
	(MyFtraceController.computeSyscallWorkingSet): Use computeWorkingSet.
	(MyFtraceController.computeSignalWorkingSet): New method.
	(ftrace.tracedCalls): Delete unused field.
	(ftrace.sigRules): New field.
	(ftrace.parseSyscallRules): New method.
	(ftrace.TraceableExaminer): New interface.
	(ftrace.parseSyscallRules): Rename to parseSigSysRules, use
	examiner to generalize over both types of traceables.
	(ftrace.run): Rewrite to only request tracing when rules are present.
	* ftrace.xml: Update.

2008-02-29  Andrew Cagney  <cagney@redhat.com>

	* TestFcore.java: Update option tests to match options.

	* ftrace.java: Glob moved to frysk.util.Glob.

2008-02-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFcatch.java (testFcatchFollowsForks): new test.

2008-02-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* ferror.java: new command line utility.
	* ferror.xml: new file.
	* TestFerror.java: New test.

2008-02-28  Andrew Cagney  <cagney@redhat.com>

	* fcatch.java: Delete unused logger.
	* fstack.java: Ditto.
	* fcore.java: Ditto.

2008-02-28  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.xml: Add --segments option. Delete
	--stackonly option.
	* fcore.java (addOptions): Delete stack only option.
	Add segments option.

2008-02-28  Teresa Thomas  <tthomas@redhat.com>

	* fdebugrpm.sh: Show error message if fdebuginfo install 
	or arguments missing.

2008-02-28  Tim Moore  <timoore@redhat.com>

	* fhpd.java (TerminalObserver): New class
	(CommandLine()): Use TerminalObserver and FlowControlWriter.

2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com> 

	* fstack.java(stackCore): Use PrintStackOptions instead of boolean
	list.
	
2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java: Use PrintStackOptions instead of boolean list.

2008-02-27  Andrew Cagney  <cagney@redhat.com>

	* fcatch.java (parseCommand(Proc)): Replace parseCommandFIXME.
	* fstep.java: Ditto.

2008-02-26  Andrew Cagney  <cagney@redhat.com>

	* fhpd.java (parseCommand(Proc)): Replace parseCommandFIXME.
	(parseCores(Proc[]): Replace parseCoresFIXME.
	(-noexe): Delete; moved to CommandlineParser.
	* TestFauxv.java (fauxv(File)): Specify -noexe.

	* fstack.java (parseCores(Proc[])): Replace parseCoresFIXME.
	(stackCore(Proc)): Replace stackCore(CoreExePair).

	* fauxv.java: Update to match ProcEvent.
	* fmaps.java: Ditto.
	* fexe.java: Ditto.
	* fcore.java: Ditto.
	* fdebuginfo.java: Ditto.
	* TestFcore.java: Match new error messages.

	* fcatch.java: Update to match CommandlineParser.
	* fstack.java: Ditto.
	* ftrace.java: Ditto.
	* fstep.java: Ditto.
	* fhpd.java: Ditto.

2008-02-26  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.java (addOptions): Rename to 
	option to stackonly
	* fcore.xml: Ditto.

2008-02-26  Teresa Thomas  <tthomas@redhat.com>

	* fcore.java: Refactor to use ProcStopUtil.
	* TestFcore.java: Update.

2008-02-21  Teresa Thomas  <tthomas@redhat.com>

	* fexe.java (PrintExeEvent): Update for changes 
	to event.ProcEvent.
	* fdebuginfo.java (PrintDebuginfoEvent): Ditto.
	* fmaps.java (PrintMapsEvent): Ditto.
	* fauxv.java (PrintAuxvEvent): Ditto.
	
2008-02-20  Andrew Cagney  <cagney@redhat.com>

	* TestFexe.java: Prevent bash execing fexe.

2008-02-20  Teresa Thomas  <tthomas@redhat.com>

	* fexe.java: Refactor to use ProcStopUtil.
	* fdebuginfo.java (PrintDebuginfoEvent): Update.
	* fauxv.java (PrintAuxvEvent): Update.
	* fmaps.java (PrintMapsEvent): Update.
	
2008-02-20  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Use globs instead of regular expressions.
	(Glob): New class.
	
2008-02-19  Andrew Cagney  <cagney@redhat.com>

	* TestFstep.java: Update to match lib.dwfl.Elf.

2008-02-19  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.xml: Add -stack option. 
	* fcore.java (dumpPids): Add stackOnly parameter.
	(addOptions): Ditto.

2008-02-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java: Added printing of virtual frames to -c.

2008-02-14  Andrew Cagney  <cagney@redhat.com>

	* fcore.java (parsePids(Proc[])): Replace parsePids(ProcId[]).
	* ftrace.java: Ditto.
	* fstack.java: Ditto.
	* fhpd.java: Ditto.
	* fexe.java: Ditto.
	* TestFtrace.java (testFtraceHandlesProcessNotFound(): Update
	error check.

	* fhpd.java: Run the CLI in a sub-thread and the event-loop on the
	main thread.

2008-02-13  Andrew Cagney  <cagney@redhat.com>

	* fexe.java: Update to match Exe.

2008-02-11  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Support -stack.
	* ftrace.xml: Describe -stack.

2008-02-11  Petr Machata  <pmachata@redhat.com>

	* ftrace.xml: Describe -sys option, remove description of -S and -t.

2008-02-11  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Refactoring.
	(Rule.checkVersionMatches): Moved from MyFtraceController.
	(Rule.checkNameMatches): Likewise.
	(Rule.apply): New method, code moved from MyFtraceController.
	(WorkingSetRule): Renamed to SymbolRule.
	(SymbolRule.matches): Is now implemented.

2008-02-08  Stan Cox  <scox@redhat.com>

	* fhpd.java (main): Space after -sysroot.

2008-02-08  Teresa Thomas  <tthomas@redhat.com>

	* fauxv.java: Refactor to use ProcStopUtil.

2008-02-07  Teresa Thomas  <tthomas@redhat.com>

	* fmaps.java: Refactor to use ProcStopUtil.

2008-02-07  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Support fine-grained selection of syscalls to
	trace/stack trace on.  Remove -t, -s options.
	(Rule): New abstract class.
	(SyscallRule, ByNumberSyscallRule, ByRegexpSyscallRule): New classes.
	(MyFtraceController.sysRules): New variable.
	(.gotSysRules): New method.
	(.computeSyscallWorkingSet): New method.
	(.parseSyscallRules): New method.

2008-02-07  Andrew Cagney  <cagney@redhat.com>

	* fstep.java: Update to use Host.requestProc(int,FindProc).

2008-02-06  Teresa Thomas  <tthomas@redhat.com>

	* fdebuginfo.java: Refactor, use ProcStopUtil.
	* TestFdebuginfo.java (testNoArguments): Update.

2008-02-04  Tim Moore  <timoore@redhat.com>

	* fhpd.java (main): Use ObservingTerminal instead of PtyTerminal.

2008-01-28  Teresa Thomas  <tthomas@redhat.com>

	* fdebuginfo.java (PrintDebuginfoEvent): New.
	(PrintDebuginfoAction): New.
	(.parseCores, .parseCommand): Use PrintDebuginfoEvent.	 
	(.parsePids): Use PrintDebuginfoAction.
	* TestFdebuginfo.java (testPathListing): Remove unresolved.

2008-01-25  Teresa Thomas  <tthomas@redhat.com>

	* TestFdebuginfo.java (testBadArguments): Update.
	(testNoArguments): Update.
	
	* fdebuginfo.java: Reindent.
	(.parseCommand): New.
	* TestFdebuginfo.java: Reindent.

2008-01-25  Andrew Cagney  <cagney@redhat.com>

	* TestFstep.java: Rename TestFStep.
	* TestFhpd.java: Rename TestFhd.

	* TestLib.java: Delete.
	* TestFauxv.java: Replace Expect with TearDownExpect.
	* TestFdebuginfo.java: Ditto.
	* TestFtrace.java: Ditto.
	* TestFStep.java: Ditto.
	* TestFexe.java: Ditto.
	* TestFmaps.java: Ditto.
	* TestFstack.java: Ditto.
	* TestFcatch.java: Ditto.

	* fstep.java: Update to match
	TaskObserver.Terminated.updateTerminated(Task,Signal,int).

	* TestFdebuginfo.java (testPathListing()): Mark as unresolved; bug
	5671.

2008-01-24  Andrew Cagney  <cagney@redhat.com>

	* TestFhd.java: Do not call Expect.close(); do not hard-wire a
	timeout.

2008-01-24  Stan Cox  <scox@redhat.com>
	
	* fhpd.java (main): Pass sysroot to request via -sysroot option.

2008-01-24  Andrew Cagney  <cagney@redhat.com>

	* TestLib.java: New.
	* TestFcore.java: Extend TestLib.
	* TestFhd.java: Ditto.
	* TestFauxv.java: Ditto.
	* TestFexe.java: Ditto.
	* TestFtrace.java: Ditto.
	* TestFmaps.java: Ditto.
	* TestFdebuginfo.java: Ditto.
	* TestFStep.java: Ditto.
	* TestFcatch.java: Ditto.

	* TestFmaps.java: Update; CoreFileAtSignal renamed to
	CorefileFactory.
	* TestFstack.java: Ditto.

2008-01-13  Stan Cox  <scox@redhat.com>

	* fhpd.java (main): Add sysroot option.

2008-01-10  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFauxv.java (testAuxvCore): Adjust expect output
	to expect symbols.

2008-01-09  Phil Muldoon  <pmuldoon@redhat.com>

	* fauxv.java (parsePids): Pass in proc object.
	(parseCores): Ditto.
	(printAuxv): Take proc. Use it to look up symbol.
	(PrintAuxvEvent): New.
	(RichAuxvDump): New.

2008-01-07  Andrew Cagney  <cagney@redhat.com>

	* fstep.java: Update; use Host.requestProc(ProcId,FindProc).

	* fstep.java: Update; use Task.getPC().

2007-12-20  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFauxv.java (fauxv):  Delete System.out.

2007-12-20  Petr Machata  <pmachata@redhat.com>

	* ftrace.java (MyLtraceController): renamed to MyFtraceController.
	Using Ftrace.Driver instead of Ltrace.Driver consistently.

2007-12-19  cagney  <cagney@redhat.com>

	* fhpd.java: Explicitly import frysk.sys.FileDescriptor.

2007-12-12  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Support -i for tracing inside dynamic linker.
	* ftrace.xml: Describe it.

2007-12-12  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Use aliasing capabilities of Symbol.
	(checkNameMatches): New method.

2007-12-11  Phil Muldoon  <pmuldoon@redhat.com>

	* faux.xml: Fix fmap references.
	* fmaps.xml: Fix fcore references.

	* faux.java: New.
	* TestFauxv.java: New.
	* faux.xml: New.
	
2007-12-10  Phil Muldoon  <pmuldoon@redhat.com>

	* fmaps.java: Indent.
	* TestFmaps.java: Indent
	(testExeOfPid): Look only for executable name.
	
	* fmaps.java: New.
	* fmaps.xml: New.
	* TestFmaps.java: New.
	

2007-11-30  Petr Machata  <pmachata@redhat.com>

	* ftrace.xml: Updated.

2007-11-28 Teresa Thomas <tthomas@redhat.com>

   * fdebugrpm.sh: Enable all debuginfo repos.
   
2007-11-27 Teresa Thomas <tthomas@redhat.com>

   * fdebugrpm.sh: Update enabled repos list for fc7 
   and fc8 support.
   
2007-11-26  Sami Wagiaalla  <swagiaal@redhat.com>

	Added a boolean for printing source	libraries to Frame.toPrint().
	* fstack.java: Updated.

2007-11-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java (testBackTraceWithDashN): Updated regex to not
	match newline.
	* fstack.java: Added -fullpath option

2007-11-22  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java (testBackTraceWithDashN): enabled test.
	(testBackTraceWithDashNDashA): Ditto.

2007-11-22  Andrew Cagney  <cagney@redhat.com>

	* TestFstack.java (testBackTraceWithDashN())
	(testBackTraceWithDashNDashA()): Mark as unresolved, bug 5394.
	
2007-11-22  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Don't set up enter/exit handlers of Ftrace.

2007-11-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java (testBackTraceWithDashN): New test.
	(testBackTraceWithDashNDashA): New test.
	* fstack.java (Stacker.Stacker): Added number-of-frames option
	and handling.

2007-11-21  Petr Machata  <pmachata@redhat.com>

	* ftrace.java
	(MyController): renamed to MyLtraceController.  Now implements
	Ftrace.StackTracedSymbolsProvider.
	(MyLtraceController.symbolsStackTraceSet): New field.
	(MyLtraceController.shouldStackTraceOn): New method.

2007-11-21  Petr Machata  <pmachata@redhat.com>

	* TestFtrace.java: Change pattern in fork test.

2007-11-20  Sami Wagiaalla  <swagiaal@redhat.com>
	
	* TestFstack.java (testBackTraceWithDashC): Removed check for
	param values.
	(testBackTraceWithDashA): Ditto.

2007-11-20  Petr Machata  <pmachata@redhat.com>

	* ftrace.java: Patterns now recognize "INTERP" meta-soname.
	(MyController.isInterpOf): New method.
	* ftrace.xml: Documented the same.

2007-11-20  Petr Machata  <pmachata@redhat.com>

	* ftrace.java (fltrace.addOptions): Recognize -m and -S.

	* Ftrace.java
	(traceSyscalls, traceMmapUnmap): New fields.
	(setDontTraceSyscalls): New method.
	(setTraceMmaps): New method.
	(observationCounters): New field.
	(observationRequested, observationRealized): New methods.
	(handleTask): Rewritten to support new options.
	(FunctionObserver.addedTo): call observationRealized.
	(SyscallObserver.addedTo): call observationRealized.
	(ForkedObserver.addedTo): call observationRealized.

2007-11-19  Petr Machata  <pmachata@redhat.com>
	
	* fltrace.java: Deleted.
	* fltrace.xml: Deleted.
	* ftrace.java
	(WorkingSetRule): Moved from fltrace.java
	(MyController): Dtto.
	(ftrace.*Rules): Dtto.
	(ftrace.parseRules): Dtto.
	(ftrace.addOptions): Recognize -plt, -dyn, -sym.
	(ftrace.main): Apply -plt, -dyn, -sym.
	* ftrace.xml: Parts moved over from fltrace.xml here.

2007-11-19  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFhd.java (testHpdCore): Remove unresolved.
	Add -noexe to Expect test.

2007-11-16  Rick Moseley  <rmoseley@redhat.com>

	* fhpd.java: Fix bz #5256.
	* TestFhd.java(testHpdCommand): Ditto.

2007-11-16  Phil Muldoon  <pmuldoon@redhat.com>

	* fhpd.java(main): Add option -noexe. Append
	-noexe on no executable and option specified. 

2007-11-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java (testBackTraceWithParams): Removed value
	asserstion. 

2007-11-12  Andrew Cagney  <cagney@redhat.com>

	* TestFstack.java (fstack(String,String[])): New; use throughout.
	(tearDown()): Delete.
	
	* TestFstack.java: Update; funit-inlined renamed to
	funit-stack-inlined.

2007-11-09  Sami Wagiaalla  <swagiaal@redhat.com>

	Changed CoreFileAtSignal to return core File instead of core Proc.
	* TestFstack.java: Updated.

2007-11-08  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java (testBackTraceWithDashV): Reenabled test.
	Now passes executable as an argument to fstack.

2007-11-08  Petr Machata  <pmachata@redhat.com>

	* fltrace.java (MyLtraceObserver.pidInfo): new method

2007-11-08  Phil Muldoon  <pmuldoon@redhat.com>

	* TestFhd.java (testHpdCore): Add unresolved(5295).

2007-11-02  Petr Machata  <pmachata@redhat.com>

	* fltrace.java: Output values in hex.

2007-11-01  Petr Machata  <pmachata@redhat.com>

	* fltrace.java
	(MyController.checkVersionMatches): move version matching here
	(MyController.applyTracingRules): from here
	simplify working set handling
	support -#
	(fltrace.parseRules): fix parsing -#

2007-10-31  Petr Machata  <pmachata@redhat.com>

	* fltrace.java: Change syntax of -plt, -sym, -dyn: leading '+' is
	no longer mandatory.
	* fltrace.xml: Document same.

2007-10-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java (testBackTraceWithDashV): Marked as 
	unresolved(5156).

2007-10-29  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.java (dumpPid): Null check
	return of getProcFromPid.

2007-10-19  Andrew Cagney  <cagney@redhat.com>

	* TestFstack.java (): Check for decimal stack levels.
	
	* TestFstack.java (testBackTraceWithDashV()): Check for "inline".

2007-10-19  Petr Machata  <pmachata@redhat.com>

	* fltrace.java: Fix synopsis.
	* fltrace.xml: Write manual.

2007-10-19  Petr Machata  <pmachata@redhat.com>

	* fltrace.java:
	Support -dyn, -sym commandline parameters.
	Support version matching.

2007-10-18  Petr Machata  <pmachata@redhat.com>

	* fltrace.java: Support -plt commandline parameter.

2007-10-17  Andrew Cagney  <cagney@redhat.com>

	* fstep.java: Update; use frysk.proc.FindProc.

2007-10-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java: Use DeamonBlockedAtSignal instead of
	StoppedTestTaskFactory.
	
2007-09-29  Petr Machata  <pmachata@redhat.com>

	* fltrace.java (tracer): Adjust to changes in Ltrace API.
	(taskTerminated): Print out \ marker at the end of the line.

2007-09-21  Andrew Cagney  <cagney@redhat.com>

	* TestFtrace.java (testFtraceTracesExecutables): Mark as
	unresolvedOffUtrace; bug 5055.

2007-09-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFtrace.java: Now only unblocks task after 
	SyscallObserver has been added.
	(testFtraceTracesExecutables): New test.

2007-09-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFtrace.java (testFtraceHandlesPrcoessNotFound): New test.

2007-08-28  Mark Wielaard  <mwielaard@redhat.com>

	* fstep.java (DummyDisassembler): New static helper class.
	(updateAttached): Create DummyDisassembler when needed.
	(updateHit): Add new observers first before removing Code observer.
	* TestFStep.java: Always supported.

2007-08-25  Petr Machata  <pmachata@redhat.com>

	* fltrace.java: Use File instead of String where it makes sense.
	(ltraceObserver): Output event on one line if possible.  lastItem,
	lastTasks, lineOpened, myLineOpened and updateOpenLine are new
	members implementing this.
	(ltraceObserver.eventEntry, .eventLeave): new methods used by
	.pltEntryEnter, .pltEntryLeave, .syscallEnter, and .syscallLeave.
	(ltraceObserver.fileMapped, .fileUnmapped, .taskAttached,
	.taskRemoved): implement new methods in LtraceObserver.

2007-08-23  Petr Machata  <pmachata@redhat.com>

	* fltrace.java (ltraceObserver): New member.

2007-08-21  Andrew Cagney  <cagney@redhat.com>

	* TestFhd.java (testFhpdVirtualStackTrace): Move to
	frysk.hpd.TestStackCommands.

2007-08-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFhd.java (testFhpdVirtualStackTrace): New test.

2007-08-16  Andrew Cagney  <cagney@redhat.com>

	* TestFStep.java: When no disassembler report as unsupported.

2007-08-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java (.parsed): Removed misc System.out.println.

2007-08-15  Nurdin Premji  <npremji@redhat.com>

	* fhpd.java (main): Handle "exit" command.

2007-08-10  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java: Added new -v option.
	Added virtualFrames boolean.
	* TestFstack.java (testBackTraceWithDashV): New test.

2007-08-10  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* TestFstack.java: Now uses funit-stacks instead of 
	funit-child.

2007-08-09  Andrew Cagney  <cagney@redhat.com>

	* TestFstack.java: Replace funit-child in patterns with
	SlaveOffspring .getExecutable .getName.

	* TestFstack.java: Extend frysk.testbed.TestLib.  Replace
	"funit-child" with SlaveOffspring.

	* TestFdebuginfo.java: Replace DetachedAckProcess with
	SlaveProcess.createChild.
	* TestFtrace.java: Ditto.
	
2007-08-08  Andrew Cagney  <cagney@redhat.com>

	* TestFdebuginfo.java: Replace frysk.testbed.TestLib.AckProcess
	with frysk.testbed.SlaveOffspring.
	* TestFtrace.java: Ditto.

2007-08-08  Teresa Thomas  <tthomas@redhat.com>

	* fdebugrpm.sh: Version number included for package install;
	repos enabled by default
	  
2007-08-07  Teresa Thomas  <tthomas@redhat.com>

	* fdebuginfo.java (.parsePids): Function to get debuginfo moved to
	  frysk utils.
	  
	* fdebuginfo.java (main): Corefile support added.
	(printDebuginfo): Updated.
	 
2007-08-02  Nurdin Premji  <npremji@redhat.com>

	* fhpd.xml: Updated.
	* fstack.xml: Fixed bug reporting website.

2007-08-02  Teresa Thomas  <tthomas@redhat.com>

	* TestFdebuginfo.java: Updated.
	
	* fdebuginfo.java (printDebuginfo): Reflect changes in 
	  DwflModule::getDebuginfo.
	* fdebugrpm.sh: Updated.	  	  

2007-08-01  Andrew Cagney  <cagney@redhat.com>

	* fexe.java: Use frysk.util.CoreExePair.
	* fhpd.java: Ditto.
	* fstack.java: Ditto.

2007-08-01  Nurdin Premji  <npremji@redhat.com>

	* fexe.java (.parseCores): Update to reflect CommandlineParser changes.
	* fstack.java (.parseCores): Ditto.
	(stackCore): Ditto.
	* fhpd.java (.parseCores): Ditto.

2007-08-01  Mike Cvet  <mcvet@redhat.com>

	* fcatch.java: Re-formatted to Sun style.

2007-08-01  Nurdin Premji  <npremji@redhat.com>

	* fhpd.java (main): Cleaned up usage message.

2007-07-31  Teresa Thomas  <tthomas@redhat.com>

	* fdebugrpm.sh: New file - Bash scripts to install missing 
	  debuginfo packages.
	* fdebuginfo.xml: New file.
	* fdebuginfo.java: New file - Utility to list missing 
	  debuginfo packages.
	* fdebuginfo.xml: New file.
	* TestFdebuginfo.java: New file. 
	
2007-07-28  Andrew Cagney  <cagney@redhat.com>

	* TestFcore.java: Use Config.getBinFile.
	* TestFexe.java: Ditto.
	* TestFStep.java: Ditto.
	* TestFtrace.java: Ditto.

2007-07-27  Andrew Cagney  <cagney@redhat.com>

	* TestFcatch.java: Use Config.getBinFile and Config.getPkgLibFile.
	* TestFhd.java: Ditto.
	* TestFstack.java: Ditto.

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java (Stacker.Stacker): Now passes a printSourceLibrary
	to StacktraceActions.	
	
2007-07-26  Petr Machata  <pmachata@redhat.com>

	* fltrace.java: New file.
	* fltrace.xml: New file.

2007-07-24  Andrew Cagney  <cagney@redhat.com>

	* TestFhd.java (testDisassembler): Delete; moved to
	frysk.hpd.TestDisassemblerCommand.
	(testHpdDisplayCommands): Ditto to TestDisplayCommand.
	(testHpdCore, testHpdCoreCore): Ditto to TestCoreCommand.
	(testHpdBreakStep, testHpdBreakpointLibrary)
	(testHpdBreakpointInline, testHpdBreakpoint): Ditto to
	TestBreakpoints.
	(testHpdScalars, testHpdClass, testHpdArray, testHpdEnum): Delete;
	moved to frysk.value.TestPrint.

	* fhpd.java: Update; package frysk.cli.hpd moved to frysk.hpd.

	* TestFtrace.java: Update; frysk.proc.TestLib moved to
	frysk.testbed.TestLib.
	* TestFStep.java: Ditto.

2007-07-24  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpdBreakpoint): Change break trigger to #.

2007-07-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java: Created a PrintWriter and added to all 
	StacktraceAction constructors.

2007-07-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFhd.java (testHpdCore): replaced test-core with
	test-core-x86; fix for failing tests.
	(testHpdCore): ditto.

2007-07-19  Nurdin Premji  <npremji@redhat.com>

	* TestFhd.java (testHpdDisassemble): Added.

2007-07-18  Andrew Cagney  <cagney@redhat.com>

	* TestFexe.java: New file.
	* fexe.java: New file.
	* fexe.xml: New file.

2007-07-17  Adam Jocksch  <ajocksch@redhat.com>

	* TestFhd.java (testHpdDisplayCommands): New test, tests the
	display-related commands in the hpd.

2007-07-16  Andrew Cagney  <cagney@redhat.com>

	* TestFStep.java: Update, lib.elf and lib.dw merged into lib.dwfl.

2007-07-11  Zhao Shujing  <pearly.zhao@oracle.com>

	Fixes bug #4774
	* fstack.java (main): Correct help description of -a and -c options.

2007-07-10  Tim Moore  <timoore@redhat.com>

	* TestFhd.java (testHpdBreakStep): New test for stepping beyond a
	breakpoint.

2007-07-09  Mark Wielaard  <mwielaard@redhat.com>

	Fixes bug #4668
	* fstep.java: Implement TaskObserver.Code.
	(updateAttached): Depending on whether or not the user supplied a
	command line to execute or a pid to trace either put a breakpoint
	on the first real instruction or start tracing immediately. Return
	Action.BLOCK.
	(updateHit): New method.
	(addedTo): Unblock task.
	* TestFStep.java: New test.

2007-07-04  Andrew Cagney  <cagney@redhat.com>

	* fstep.java: Do not catch OpcodesException.

2007-07-03  Petr Machata  <pmachata@redhat.com>

	* ftrace.java (addOptions): Ftrace.addTracePid take ProcId
	argument, adjust
	* ftrace.java (run.parsePids): likewise, plus add all pids on
	command line, not just the first one

2007-06-25  Nurdin Premji  <npremji@redhat.com>

	* fhpd.java (main): Handle core file passed as argument.
	* TestFhd.java (testHpdCore): Added.
	(testHpdCoreCore): Added.	

2007-06-25  Tim Moore  <timoore@redhat.com>

	* TestFhd.java (testHpdBreakpointLibrary): New test for inserting
	a breakpoint in a shared library.

2007-06-21  Tim Moore  <timoore@redhat.com>

	* TestFhd.java (testHpdBreakpointInline): Fix expect regular
	expressions for newlines, lack of whitespace, etc.
	* TestFhd.java (testHpdBreakpoint): Adjust source line of
	breakpoint to reflect changes in hpd-c.c test program.

2007-06-20  Nurdin Premji  <npremji@redhat.com>

	* fcore.java (main): Handle no pids provided case.
	Removed personalized "parseCommand not supported" error. Now uses 
	CommandlineParser "parseCommand not supported" error.
	* TestFcore.java (testNoArguments): Added.
	(testBadArguments): Expect CommandlineParser "Commands not supported"
	error.

2007-06-20  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.java (AddOption): Remove bogus .getClass() call.

2007-06-20  Nurdin Premji  <npremji@redhat.com>

	* TestFhd.java (testHpdPid): Added.
	(testHpdCommand): Added.
	
	* fcore.java: Use CommandlineParser. Remove references to Parser.
	* fstep.java: Ditto. 
	* fcatch.java: Ditto.
	* ftrace.java: Ditto.
	* fstack.java: Ditto.
	* fhpd.java: Ditto.

2007-06-19  Nurdin Premji  <npremji@redhat.com>

	* fhpd.java: Remove unused imports.

	* fhpd.java (main): Use CommandLineParser.parse() to parse arguments.	

2007-06-18  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpdTraceStack):  New defintion of up/down.
	Check same variable name in previous frame.
	(testHpdClass): Add class_2, class_3, class_4, class_5.

2007-06-15  Nurdin Premji  <npremji@redhat.com>

	* fstack.java (Stacker.Stacker): Remove debugging print statement.

2007-06-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java: Added -a option.
	Added -c option.
	* TestFstack.java (testBackTraceWithDashA): New.
	(testBackTraceWithDashC): New.

2007-06-13  Stan Cox  <scox@redhat.com>

	* fhpd.java (execFile): New.

2007-06-12  Teresa Thomas  <tthomas@redhat.com>

	* TestFhd.java (testHpdTraceStack): Modified up/down command 
	tests, to reflect changes in command behavior.

2007-06-11  Nurdin Premji  <npremji@redhat.com>

	* fstack.java (stackCore): Changed to use a PrintEvent rather than
	AbandonPrintEvent.
	(PrintEvent): Added.

2007-06-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* fstack.java: Added the --print options with possible
	parameters functions, params, scopes, fullpath.
	* TestFstack.java (testBackTraceWithParams): New.
	(testBackTraceWithScopes): New.
	(testBackTraceWithFullpath): New.
	
2007-06-08  Nurdin Premji  <npremji@redhat.com>

	* fcore.java (dumpPid): Added.
	(AbandonCoreEvent): Added.
	(main): Use CommandlineParser.
	(addOptions): Remove console options, added by CommandlineParser.
	
	* fstack.java (stackProc): Removed.
	(stackPid): Use Util.getProcFromPid to find the proc.
	(stackCore): Use Util.getProcFromCore to find the proc.
	Run the Stacktrace with a ProcCoreAction instead of ProcBlockAction.
	(AbandonPrintEvent): Added.
	(Stacker): Added.

	* fstack.java (main): Use a CommandLineParser.
	
2007-06-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFhd.java: Sorted the expted commands list, to reflect the
	sorting in the list of returned completion possibilities.

2007-06-07  Nurdin Premji  <npremji@redhat.com>

	* fstack.java (stackProc): Reflect ProcBlockAction refactor.
	* fcore.java (.procFound): Ditto.
	
2007-06-01  Nurdin Premji  <npremji@redhat.com>

	* fstack.java: Refactored for core support.
	(main): Use frysk.util.PidCoreParser, moved stacking code to private methods.
	(stackPid): Added.
	(stackProc): Added.
	(stackCore): Added.	

2007-05-31  Andrew Cagney  <cagney@redhat.com>

	* ftrace.java: Add package frysk.bindir.
	* fstep.java: Ditto.
	* fstack.java: Ditto.
	* fparser.java: Ditto.
	* fhpd.java: Ditto.
	* fcore.java: Ditto.
	* fcatch.java: Ditto.

2007-05-29  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpdTraceStack): Test tabbed command completion.
	(testHpdScalars): Test tabbed scalar completion.
	(testHpdClass): Test tabbed struct element completion.
	(testHpdArray): Test tabbed array completion.

2007-05-29  sami wagiaalla  <swagiaal@redhat.com>

	* TestFstack.java: Changed check for " in main " to check for
	"main".

2007-05-28  Tim Moore  <timoore@redhat.com>

	* fhpd.java: (main): Use frysk.util.PtyTerminal instead of default
	terminal.

2007-05-25  Tim Moore  <timoore@redhat.com>

	* TestFhd.java (testHpdBreakpoint): Expand test to look for
	message when hitting the breakpoint.
	(testHpdBreakpointInline): New test for breakpoint in inlined
	function.

2007-05-16  Tom Tromey  <tromey@redhat.com>

	* fhpd.java (main): Exit loop if line==null.	

2007-05-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestFtrace.java: New file.

2007-05-03  Tim Moore  <timoore@redhat.com>

	* TestFhd.java (testHpdBreakpoint): New test.
	* fhpd.java (main): Start event loop.

2007-05-02  Stan Cox  <scox@redhat.com>

	* fhpd.java (main): Attach pid after CLI constructor completes.
	* TestFhd.java (testHpdArray): Allow for new array formatting.

2007-04-17  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpd): Split into: testHpdTraceStack,
	testHpdScalars, testHpdClass, testHpdArray, and testHpdEnum.

2007-04-16  Andrew Cagney  <cagney@redhat.com>

	* fstep.java: Run the event-loop from the main task.

2007-04-12  Nurdin Premji  <npremji@redhat.com>

	* TestFcatch.java. Added.

2007-03-30  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpd): print enum; what array; what class

2007-03-30  Mike Cvet  <mcvet@redhat.com>

	* fcatch.java (argString): Now a StringBuffer.
	(.notifyFile): Append all arguments into above StringBuffer.
	Fixes #4300.
	(.run): Split StringBuffer over spaces into array for FCatch.
	(.parsed): Append PID into above StringBuffer.

2007-03-16  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpd): Don't include executable on attach.

2007-03-15  Mike Cvet  <mcvet@redhat.com>

	* fcatch.java (argString): Changed from pidString.
	(.notifyFile): Catch arguments appropriately. Fixes #4185.

2007-03-06  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpd): Comment out float_21 and double_21.

2007-02-28  Stan Cox  <scox@redhat.com>

	* TestFhd.java (testHpd): Enable. Skip optimized out values.
	(testRunCppParser): Remove.

2007-02-28  Mike Cvet  <mcvet@redhat.com>

	* ftrace.java (addOptions): Added new parsing option for syscall stack
	tracing. Fixes #4112.
	
	* fcatch.java (Parser.parsed): Explicitly assign PID argument. 
	Fixes #4113. 
	(run): Removed checks for ArrayList, use String instead.

2007-02-24  Tim Moore  <timoore@redhat.com>

	* fhpd.java (main): Use CommandlineParser class.

2007-02-23  Rick Moseley  <rmoseley@redhat.com>

	* fparser.java: Fix bz #4095.

2007-02-21  Stan Cox  <scox@redhat.com>

	* fhpd.java (main): Add pid option.

2007-02-21  Nurdin Premji  <npremji@redhat.com>

	* fstep.java (main): Added console options.

2007-02-15  Rick Moseley  <rmoseley@redhat.com>

	* fparser.java: Use methods from DOMCommon instead of
	DOMFactory.

2007-02-09  Andrew Cagney  <cagney@redhat.com>

	* TestFstack.java: Enable tests.
	* TestFcore.java (tearDown): Delete Signal.drain of Sig.CHLD,
	handled by Expect.close.
	
2007-02-09  Mark Wielaard  <mark@klomp.org>

	* fstep.java: Fix output to say fstep, no fstack.
	(updateTerminated): Show whether Task terminated by a signal or not
	and mention exit code or signal number.

2007-02-09  Andrew Cagney  <cagney@redhat.com>

	* TestFcore.java: Enable all tests.
	(tearDown): Add call to Signal.drain of Sig.CHLD.

2007-02-08  Tim Moore  <timoore@redhat.com>

	* fhpd.java (main): Add command line option to enable logging.

2007-02-07  Andrew Cagney  <cagney@redhat.com>

	* TestFcore.java: Note broken with bug 4004.
	* TestFstack.java: Ditto.

	* TestFhd.java: New.  Translation of old dejagnu test from
	frysk-core/testsuite/expr/.

	* TestFstack.java, TestFcore: New.  Translation of old dejagnu
	tests from frysk-core/testsuite/utils/.

2007-02-01  Nurdin Premji  <npremji@redhat.com>

	* fcatch.xml: Updated SEE ALSO section. Cleaned up EXAMPLE,
	SYNOPSIS and DESCRIPTION sections.
	* fcore.xml: Ditto.
	* fhpd.xml: Ditto.
	* fparser.xml: Ditto.
	* fstack.xml: Ditto.
	* fstep.xml: Ditto.
	* ftrace.xml: Ditto.

2007-01-26  Mark Wielaard  <mark@klomp.org>

	* fhpd.java (FhpdCompletor): Mark as static class.

2007-01-23  Nurdin Premji  <npremji@redhat.com>

	* fcatch.java (.parsed): Changed catch Exception _ to catch Exception e.
	* ftrace.java (.notifyFile): Ditto.
	(.parsed): Ditto.

2007-01-23  Andrew Cagney  <cagney@redhat.com>

	* fstep.java: Remove TaskException code.

2007-01-11  Stan Cox  <scox@redhat.com>

	* fhpd.java (FhpdCompletor): New.

2007-01-10  Nurdin Premji  <npremji@redhat.com>

	* fcatch.java (run): Use Logger.getLogger instead of EventLogger.get to
	avoid creating new files.  Reflect move of addConsoleOptions from
	frysk.util.Util to frysk.EventLogger.
	* fstack.java (addOptions): Ditto.
	* fcore.java (addOptions): Ditto.
	* ftrace.java (addOptions): Ditto.

2006-12-27  Mike Cvet  <mcvet@redhat.com>

	* fcatch.java (run): Initialize arguments ArrayList here.
	Removed call to secondary trace() in util.FCatch.

2006-12-22  Nurdin Premji  <npremji@redhat.com>

	* fcore.java (main): Reflect changes from Util.parsePid and
	Util.addConsoleOptions.
	(addOptions): 	Ditto.
	* fcatch.java (run): Ditto.
	* ftrace.java (addOptions): Ditto. 
	* fstack.java (main): Ditto.
	(addOptions): Ditto.
	
2006-12-22  Mike Cvet  <mcvet@redhat.com>

	* fcatch.java: Re-Added. Fixes #3733.
	(run): Added console logging options.
	* fcatch.xml: Added.

2006-12-21  Andrew Cagney  <cagney@redhat.com>

	* ftrace.java: Use Config's getVersion, instead of VERSION.
	* fstep.java: Ditto.  Fix typo, program's name is "fstep".

2006-12-20  Nurdin Premji  <npremji@redhat.com>
	
	* ftrace.xml: Made mention of option parsing bug.

2006-12-19  Nurdin Premji  <npremji@redhat.com>

	* fcore.java: Cleaned out unnecessay logging option residue.
	(main): Switched to use a Util.PidParser instead of Parser and 
	Util.parsePids.	
	* fstack.java: Ditto.	

2006-12-18  Nurdin Premji  <npremji@redhat.com>

	* fstack.java: Ran gnu formatter.
	 (main.parser.notifyFile.addFailed): Added, should be defined here, not
	 in ProcBlockAction.

2006-12-18  Mark Wielaard  <mark@klomp.org>

	* fstep.java: New file.
	* fstep.xml: New file.

2006-12-15  Nurdin Premji  <npremji@redhat.com>

	* fcore.java (addOptions): Changed to use
	frysk.util.Util.addConsoleOptions()
	* fstack.java (addOptions): Ditto.
	* ftrace.java (addOptions): Added logging options using
	Util.addConsoleOptions

	* fcore.java: Reverted ProcException addition.
	* fstack.java: Ditto.

	* fcore.java (main.procFound): Added try catch for creating
	CoredumAction.
	* fstack.java (main.procFound): Ditto. Changed general catch Exception
	to specific catch NumberFormatException.

2006-12-15  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.java: (notifyFile): Change error handling to use
	OptionException. Remove tests that are already performed in
	ProcBlockAction.  Be more consistent in error messages.

2006-12-14  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.java (addOptions): Add -a and -o options.
	* fcore.xml: Update man-page with above options.

2006-12-14  Nurdin Premji  <npremji@redhat.com>

	* fstack.java (main.notifyFile): Changed to allow stack tracing
	multiple pids.

2006-12-13  Rick Moseley  <rmoseley@redhat.com>

	* fparser.java: New standalone source code parser.
	* fparser.xml: Man page for standalone source code parser.

2006-12-13  Nurdin Premji  <npremji@redhat.com>

	* ftrace.java (.notifyFile): Allow user to enter pid without using -p
	option.  If first argument is a number assume ftracing a pid.

2005-12-05  Nurdin Premji  <npremji@redhat.com>

	* fstack.java: StacktraceObserver changed to StacktraceAction.

2006-11-30  Nurdin Premji  <npremji@redhat.com>

	* fcore.java (main): Changed version number to use Config.VERSION
	* ftrace.java (run): Ditto.
	* fstack.java (main): Ditto.	

2006-11-28  Nurdin Premji  <npremji@redhat.com>

	* fstack.java (.notifyFile): Changed to use simplified requestFindProc.
	* fcore.java (.notifyFile):Changed to use simplified requestFindProc. 

2006-11-27  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.xml: Added pids repeat option argument.
	* fcore.java (parser.Host.FindProc.procNotFound): Clean-up exit
	message, and conditions.
	(parser.Host.FindProc.procFound): Ditto.
	(parser.notifyFile): Allow multiple pids.
	Make proc local, and not static.

2006-11-21  Nurdin Premji  <npremji@redhat.com>

	* fstack.java: Changed to use FindProc interface. 
	* fcore.java: Ditto.
	
2006-11-14  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.xml: Cleaned up the man file. Added options explanation.

2006-11-14  Phil Muldoon  <pmuldoon@redhat.com>

	* fcore.java: New.
	* fcore.xml: New.

2006-11-01  Nurdin Premji  <npremji@redhat.com>

	* fstack.java (main): Changed to reflect StacktraceObserver using a
	StringBuffer instead of a PrintWriter.

2006-10-27  Nurdin Premji  <npremji@redhat.com>

	* fstack.java: Changed to use  frysk.util.StacktraceObserver.

2006-10-25  Nurdin Premji  <npremji@redhat.com>

	* fstack.java: Changed to find the proc rather than passing a pid to
	FStack.
	(main): used new methods Fstack.scheduleStackAndRunEvent and
	Proc.requestAbandonAndRunEvent.

2006-10-22  Mike Cvet  <mcvet@redhat.com>

	* fcrash.java (run): Removed unnecessary checks.
	(addOptions) Added -p option for tracing PIDs.

2006-10-20  Mike Cvet  <mcvet@redhat.com>
	
	* fcrash.java: Added.

2006-10-19  Nurdin Premji  <npremji@redhat.com>

	* fstack.java (main): Changed to run the eventloop here rather than in 
	frysk.util.FStack.

2006-10-13  Andrew Cagney  <cagney@redhat.com>

	* fstack.java: Coding nit, remove false== and null==.

2006-10-06  Tom Tromey  <tromey@redhat.com>

	* ftrace.java: Refactored to use
	frysk/util/Ftrace.java. Added command line options.

2006-10-06  Nurdin Premji <npremji@redhat.com>

	* fstack.java: Moved most methods (except main and
	command line parsing) to frysk/util/FStack.java.

2006-10-04  Nurdin Premji <npremji@redhat.com>

	* fstack.java: 
	Ran gnu styler.
	Used procAttachedObserver rather than procTasksObserver
	(addOptions): Added information about ALL logging option.
	(removeObservers): Changed to use the process not the task.
	(requestDeletes): Added, removes the attachedObserver from all of the
	tasks.
	(storeTasks): Used integer tid as key rather than string tid as key so
	sorted in ascending trace number order. Fixes issue with traces
	printing out weird orders like 21 22 3021 42.

2006-10-03  Nurdin Premji <npremji@redhat.com>
	
	* fstack.java(addFailed): Implemented, fixes evolution hanging issue.

2006-10-02  Nurdin Premji <npremji@redhat.com>

	* fstack.java: Added command line parser + logging options.
	Changed to print tasks in ascending order of TID.
	(handleTask) changed to (storeTask)

2006-09-28  Mike Cvet  <mcvet@redhat.com>

	* fstack.java (handleTask): Don't print sourcefiles if they are null.

2006-09-20  Nurdin Premji  <npremji@redhat.com>

	* fstack.java: Made some variables less static.
	Changed to stop eventloop after observer detaches have finished.
	
	* ftrace.xml: Added fstack to See also.
	* frysk/pkglibexecdir/funit.xml: Ditto.	
	* fstack.java: 
	Added code to remove observers when finished.
	Renamed was:
	* FStack.java: Removed.
	* fstack.xml: Added

2006-09-19  Nurdin Premji  <npremji@redhat.com>

	* FStack.java: Added

2006-07-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* ftrace.java (updateAttached): Attached observer now
	blocks the task while observers are being added.

2006-07-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* ftrace.java: Now prints the pid of the proc
	and thread making the syscall.

2006-07-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* ftrace.xml: New file.
	* ftrace.java: Moved to here.


Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
